<div class="layout-header-main">
    <div class="layout-header-left">
        <img id="side-bar-btn-open" (click)="toggleSidenav()" src="../assets/list.svg"
            style="width:2vw !important; min-width: 25px;">
    </div>
    <div class="layout-header-right">
        <img id="box-btn-open-close" src="../assets/person-fill.svg" style="width:2vw !important; min-width: 25px;">
    </div>
</div>

<mat-sidenav-container style="z-index: 100;">
    <mat-sidenav [(opened)]="opened" mode="side">
        <mat-list>
            <mat-list-item style="text-align: center; color: white;">
                <span style="font-weight: bold; font-size: large;">hi, {{ userName }}</span>
            </mat-list-item>
            <br>
            <hr>
            <mat-list-item routerLink="/" style="text-align: center; font-weight: bold; color: white;">Home
            </mat-list-item>
            <hr>
            <mat-list-item routerLink="/about" style="text-align: center; font-weight: bold; color: white;">About
            </mat-list-item>
            <hr>
            <mat-list-item style="text-align: center; font-weight: bold; color: white;" (click)="logout()">Logout
            </mat-list-item>
            <hr>
        </mat-list>
    </mat-sidenav>
    <!-- Your main content goes here -->
    <router-outlet></router-outlet>
</mat-sidenav-container>
<div class="menu-box" id="menuBox">
    <ul>
        <li style="font-size: min(20px, 1vw); list-style: none;">
            <img id="" src="../assets/person-fill.svg">
        </li>
        <li style="list-style: none; font-size: min(15px, 0.8vw);">
        </li>
        <li style="justify-content: space-between; list-style: none;">
            <a style="color: black;font-size: min(20px, 1vw);">Sign out
                <img id="" src="../assets/box-arrow-right.svg">
            </a>
        </li>

    </ul>
</div>